return {
	'3rd/image.nvim',
	commit = '7704e1d03d952393774dc7d00a98d8e127086ba4',
	lazy = false,

	enabled = not vim.g.neovide,

	cmd = {
		'ImageReport',
	},

	opts = {
		backend = 'kitty',
		processor = 'magick_rock',
		integrations = {
			markdown = {
				only_render_image_at_cursor = true,
				--floating_windows = true,
				filetypes = { 'markdown', 'quarto' },
			},
		},
		max_width = 100,
		max_height = 12,
		max_height_window_percentage = math.huge,
		max_width_window_percentage = math.huge,
		window_overlap_clear_enabled = true,
		window_overlap_clear_ft_ignore = { 'cmp_menu', 'cmp_docs', '' },
	},
}
